#pragma once


#ifdef __cplusplus
#include <cstdint>
#include <cassert>
#else
#include <stdint.h>
#include <assert.h>
#endif // __cplusplus

inline static size_t Int32ToSizeT(int32_t value)
{
	assert(value >= 0);
	return (size_t)value;
}

inline static uint32_t Int32ToUint32(int32_t value)
{
	assert(value >= 0);
	return (uint32_t)value;
}

inline static int32_t Uint32ToInt32(uint32_t value)
{
	assert(value <= INT_MAX);
	return (int32_t)value;
}
